<?php
//require_once("config/config_dir_raiz.php");
//include_once("cabecalho.php");
//include_once("rodape.php");
//include_once("nav_bar.php");
//$config = new Config();
//require_once($config->diretorio_raiz()."/src/model/bd/BiDAO.php");
//$biDAO = new BiDAO();
//$listaRelatorios = $biDAO->monta_filtro(2, "formDadosbi_analiseFiltro", "seletor1");
//$listaRelatorios = $biDAO->monta_filtro(1, "formDadosbi_analiseFiltro2", "seletor2");

?>

<div id="analies_capa" style="width: 100%; max-width: 950px; margin: 0 auto; text-align: Center; position: relative; min-height: 100%;"></div>

<script>
	//funções da cria pagina
	//redimencionar
	
	linhaAnterior = -1;
	html = "";
	
	arrayAnalinalisesFiltro = [];
	arrayAnalinaliseStyleInicial = [];
	listaLabelAdicionadas = [];
	//percorer analises ja incluídas 
	<?php 
	echo "$( document ).ready(function() {";
	foreach ($listabi_pagina_analise  as $pagina_analise){ 
		echo "pagina_analise = {
		width: ".round($pagina_analise->getLargura()).", 
		height: ".round($pagina_analise->getAltura()).", 
		linha: ".round($pagina_analise->getLinha()).", 
		coluna: ".round($pagina_analise->getColuna()).", 
		top: ".round($pagina_analise->getTop_fixo()).", 
		left: ".round($pagina_analise->getLeft_fixo()).", 
		analise: \"".$pagina_analise->getAnalise()->getCodigo()."\", 
		pagina_analise: ".$pagina_analise->getCodigo().", 
		tipo_charts: '".($pagina_analise->getAnalise()->getGrafico()  !== null ? $pagina_analise->getAnalise()->getGrafico()->getCodigo() : "")."', 
		nome_analise: '".$pagina_analise->getAnalise()->getNome()."' , 
		tipo: \"".$pagina_analise->getTipo()."\", 
		texto: \"".str_replace('"',"\\\"",str_replace("\n","",$pagina_analise->getTexto()))."\",
		layout: \"".$pagina_analise->getPagina()->getLayout()."\",
		titulo_grafico_mapa: '".($pagina_analise->getAnalise()->getGrafico()  !== null ? $pagina_analise->getAnalise()->getTitulo_widget_grafico() : "")."', 
		};";
	   
		if($pagina_analise->getTipo() == "" or $pagina_analise->getTipo() == "analise")
		{
			echo " adiciona_analise(pagina_analise);";
		}
		else
		{
			echo " adicionarLabelText(pagina_analise, '".$pagina_analise->getTipo()."');";
		}
		
	} 
	echo "});";
	  ?>
	linhaAnterior = null;
	for(i =0; i < arrayAnalinaliseStyleInicial.length; i++)
	{
		analise = arrayAnalinaliseStyleInicial[i].analise;
		if(linhaAnterior != $("#resizable"+analise).attr("linha") && $("#resizable"+analise).attr("class").includes("clasTabChart"))
		{
			qtd_analises_na_lina = 0;
			$(".clasTabChart[linha]").each(function(){
				if($(this).attr("linha") == $("#resizable"+analise).attr("linha"))
				{
					qtd_analises_na_lina += 1;
				}
			})
			//alert("linha "+$("#resizable"+analise).attr("linha")+ " qtd "+qtd_analises_na_lina);
			//alert(qtd_analises_na_lina)
			if(qtd_analises_na_lina > 1)
			{
				//alert(qtd_analises_na_lina)
				$(".clasTabChart[linha]").each(function(){
					if($(this).attr("linha") == $("#resizable"+analise).attr("linha"))
					{
						//alert($(this).css("max-width").replace("px",""))
						if($(this).css("max-width").replace("px","") >=300 && qtd_analises_na_lina ==2)
						{
							//$(this).css({"width": "calc(50% - 5px)", "max-width": "100%"})
							$(this).css({"width": "", "max-width": ""});
							$(this).attr("class", $(this).attr("class")+" analise_item_50")
						}
						else if($(this).css("max-width").replace("px","") >=200 && qtd_analises_na_lina ==3)
						{
							//$(this).css({"width": "calc(50% - 5px)", "max-width": "100%"})
							$(this).css({"width": "", "max-width": ""});
							$(this).attr("class", $(this).attr("class")+" analise_item_33")
						}
						else if(qtd_analises_na_lina ==4)
						{
							//$(this).css({"width": "calc(50% - 5px)", "max-width": "100%"})
							$(this).css({"width": "", "max-width": ""});
							$(this).attr("class", $(this).attr("class")+" analise_item_25")
						}
					}
				})
			}
		}
		linhaAnterior = $("#resizable"+analise).attr("linha");
	}
	
	criar_inputform_clik();
	$( document ).ready(function() {
		consultar_todas_analises();
	});
	leftFixoAnterior = 0;
	widthAnterior = 0;
	function adiciona_analise(obgPagina_analise)
	{
		addClass = "";
		centralizar = false;
		html = "";
		width = 300; 
		height = 300; 
		linha = 0; 
		coluna = 0; 
		analise = $("#analise").val();
		codigo_analise_pagina = "";
		if(obgPagina_analise.width != "" )
		{
			width = obgPagina_analise.width; 
			height = obgPagina_analise.height; 
			linha = obgPagina_analise.linha; 
			coluna = obgPagina_analise.coluna; 
			analise = obgPagina_analise.analise;
			codigo_analise_pagina = obgPagina_analise.pagina_analise;
			topFixo = obgPagina_analise.top; 
			leftFixo = obgPagina_analise.left;
			
		}
		style = ""
		strFloat = "";
		//strFloat = "float: left; display: Inline-block; margin-left: 5px; ";
		addClass = "analise_item_left";
		if(leftFixo+width > 700  )
		{
			//strFloat = "float: right";
			addClass = "analise_item_right";
		}
		if(obgPagina_analise.tipo_charts == "5")//widget
		{
			/*if(leftFixo+width > 700 && ((leftFixo)-(leftFixoAnterior+widthAnterior)) < (120*(coluna)) )
			{
				strFloat = "float: left; ";
			}*/
			//alert((leftFixo)-(leftFixoAnterior+widthAnterior) +" "+(100*(coluna)) )
			//center
			if(leftFixo >= 250 && leftFixo+width < 700 && 
			(((leftFixo)-(leftFixoAnterior+widthAnterior)) > 80 || linhaAnterior != linha))//(120*(coluna)))
			{
				//strFloat = "  display: Inline-block;";
				addClass = "analise_item_certer";
				centralizar = true;
			}
			else if(coluna > 0)
			{
				//style = "margin-left: 5px;"
			}
			addClass += " widgetcardcapa";
		}
		//alert(linhaAnterior+" "+linha)
		if(linhaAnterior >-1 && linhaAnterior != linha && obgPagina_analise.layout != "estatico")
		{
			html+='<div style="width: 100%; clear:both; "></div>';
		}
		
		
		if(obgPagina_analise.width != "" )
		{
			//style += "top: "+topFixo+"px; left: "+leftFixo+"px;";
		}
		style += " "+strFloat+"; ";
		strwidth = "max-width: "+width+"px; width: 100%;";
		
		//alert(obgPagina_analise.tipo_charts);
		if(obgPagina_analise.tipo_charts != "5")//diferente de widget
		{
			if(width >= 700)
			{
				strwidth = "width: 100%";
			}
			addClass += " clasTabChart"
			style +=" "+strwidth+"; height: "+(height+30)+"px;  ";
			style += " padding: 10px; border-radius: 5px; background: white;";
			//border: solid 1px #f2f2f2; box-shadow: 0px 1px 3px 0px #d9d9d9;
			if(obgPagina_analise.tipo_charts == "6")//mapa
			{
				style += " padding-bottom: 0; ";
			}
		}
		else
		{
			
		}
		
		if(obgPagina_analise.layout == "estatico")
		{
			addClass = "";
			style += " position: absolute; top: "+topFixo+"px; left: "+leftFixo+"px; width: "+width+"px; ";
		}
		html+='<div class=\'analise_item '+addClass+'\' id="resizable'+analise+'" ';
		html+=' linha="'+linha+'" coluna="'+coluna+'" codigo_analise_pagina="'+codigo_analise_pagina+'" top_original="" style="text-align: left; '+style+'" >';
		if(obgPagina_analise.tipo_charts != "5")//widget
		{
			html+='	<div style="padding: 2px; width: 100%; border-bottom: solid 1px #6887a6; display:block;text-overflow: ellipsis; overflow: hidden; white-space: nowrap;"><b style="color: #394d60;">';
			if(obgPagina_analise.titulo_grafico_mapa != "" && obgPagina_analise.titulo_grafico_mapa != null)
			{
				html+= obgPagina_analise.titulo_grafico_mapa;
			}
			else
			{
				html+= obgPagina_analise.nome_analise;
			}
			html+='</b></div>';
			if(obgPagina_analise.tipo_charts != "6")//mapa
			{
				html+='<br>';
			}
		}
		html+='	<div id=\'seletor'+analise+'Filtro\'></div>';
		html+='	<div id="seletor'+analise+'" style="width: 100%; height: calc(100% - 40px); overflow: auto;"></div>';
		html+='</div>';
		if(centralizar)
		{
			//html+='</center>';
		}
		$("#analies_capa").append(html);
		arrayAnalinaliseStyleInicial.push({"analise": analise });
		montaFiltro("seletor"+analise+"Filtro", analise,"formDadosbi_seletor"+analise, "seletor"+analise );
		linhaAnterior = linha;
		leftFixoAnterior = leftFixo;
		widthAnterior = width;
	}
	
	function adicionarLabelText(obgPagina_analise, tipo)
	{
		qtdLabel = listaLabelAdicionadas.length + 1;
		analise = tipo+"_"+qtdLabel;
		addClass = "analise_item_left";
		style = "";
		if(obgPagina_analise.tipo == "label")
		{
			style +="border: none; box-shadow: 0px 0px 0px 0px white; "
		}
		else
		{
			style +="background: white; padding: 10px; "
		}
		
		width = obgPagina_analise.width; 
		height = obgPagina_analise.height; 
		linha = obgPagina_analise.linha; 
		coluna = obgPagina_analise.coluna; 
		//analise = obgPagina_analise.analise;
		codigo_analise_pagina = obgPagina_analise.pagina_analise;
		topFixo = obgPagina_analise.top; 
		leftFixo = obgPagina_analise.left;
		texto = obgPagina_analise.texto;
		html = "";	
		if(obgPagina_analise.tipo == "texto")
		{
			width = width-20;
		}
		if(linhaAnterior >-1 && linhaAnterior != linha && obgPagina_analise.layout != "estatico")
		{
			html+='<div style="width: 100%; clear:both; "></div>';
		}
		if(width >= 700)
		{
			strwidth = "width: 100%";
		}
		if(obgPagina_analise.tipo == "label")
		{
			if(leftFixo >= 250 && leftFixo+width < 700 && 
			(((leftFixo)-(leftFixoAnterior+widthAnterior)) > 80 || linhaAnterior != linha)) //(120*(coluna)))
			{
				//strFloat = "  display: Inline-block;";
				addClass = "analise_item_certer";
			}
		}
		if(leftFixo+width > 700  )
		{
			//strFloat = "float: right";
			addClass = "analise_item_right";
		}
		if(obgPagina_analise.tipo == "texto")
		{
			addClass += " clasTabChart";
		}
		style +="width: 100%; max-width: "+width+"px; ";
		
		if(obgPagina_analise.layout == "estatico")
		{
			addClass = "";
			style += "position: absolute; top: "+topFixo+"px; left: "+leftFixo+"px; width: "+width+"px; ";
		}
		
		html+='<div class=\'analise_item '+addClass+'\' id="resizable'+analise+'" ';
		html+=' linha="'+linha+'" coluna="'+coluna+'" codigo_analise_pagina="'+codigo_analise_pagina+'" top_original="" style="text-align: left; '+style+'" >';
			html+=texto;
		html+='</div>';
		$("#analies_capa").append(html);
		linhaAnterior = linha;
		leftFixoAnterior = leftFixo;
		widthAnterior = width;
		arrayAnalinaliseStyleInicial.push({"analise": analise });
	}
	
	function criar_inputform_clik()
	{
		//altera todos os forms com o mesmo ids para o mesmo valor
		$("input[name*='data_fim']").on("change", function(event) { 
			 altera_valores_dos_mesmos_ids(this);
		} );
		
		/*$(".btnFiltroForm").on("onclick", function(event) { 
			 submet_todos_os_forms(this);
		} );
		*/
		$(".btnFiltroForm").click(function(){ submet_todos_os_forms(this); });
		

	}
	function altera_valores_dos_mesmos_ids(input)
	{
		valorAtual = $(input).val()
		//altera todos os forms com o mesmo ids para o mesmo valor
		$("input[name='data_fim']").each(function() {
			//alert($(this).val());
			$(this).val(valorAtual);
		});
	}
	
	function submet_todos_os_forms(btn)
	{
		//alert("chegou")
		idFormInvocado = $(btn).parent().attr("id");
		$(".form_filtro").each(function() {
			//alert($(this).attr("id"))
			//if($(this).attr("id") != idFormInvocado)
			//{
				//$(this).submit();
				 if(montaTebelaBi($(this).attr("id"),$(this).attr("seletor"))) 
				 { 
					$('#btn_fechar_filtrobi_analise').prop('disabled',false); 
					$('#btn_fechar_filtrobi_analise').click(); 
				}
			//}
		});
	}



	
	//montaFiltro("seletor1Filtro", '36',"formDadosbi_seletor1", "seletor1" );
	//montaFiltro("seletor2Filtro", '40',"formDadosbi_seletor2", "seletor2" );
	//
	
	
	
</script>



